#ifndef BISON_DSSPARSER_HH
# define BISON_DSSPARSER_HH

#ifndef YYSTYPE
typedef union {
    double                  yNumber;
    std::string                  *yBlockSpec;
    std::string                  *yAxisName;
    double                  (*yFunc1)(double);
    double                  (*yFunc2)(double, double);
    DRange                  *yRange;
    DRangeList              *yRangeList;
    std::vector<float>           *yPointList;
    RelOp                   yRelOp;
    DSfilter                *yDSfilter;
  } yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	PLUS	257
# define	MINUS	258
# define	MULT	259
# define	DIV	260
# define	EXPO	261
# define	MODULO	262
# define	ANDIF	263
# define	ORIF	264
# define	NOT	265
# define	BLOCKFILTER1	266
# define	BLOCKFILTER2	267
# define	IN	268
# define	RELOP	269
# define	AND	270
# define	OR	271
# define	XOR	272
# define	LSHIFT	273
# define	RSHIFT	274
# define	BITCOMPL	275
# define	TRUECONST	276
# define	FALSECONST	277
# define	RPOINT	278
# define	RLINE	279
# define	RCIRCLE	280
# define	RRING	281
# define	RELLIPSE	282
# define	RELLIPSERING	283
# define	RBOX	284
# define	RRECTANGLE	285
# define	RPOLYGON	286
# define	RSECTOR	287
# define	RDIAMOND	288
# define	BLOCK	289
# define	NUMBER	290
# define	AXISNAME	291
# define	AFUNC1	292
# define	AFUNC2	293


extern YYSTYPE yylval;

#endif /* not BISON_DSSPARSER_HH */
